#loading-cover {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background-color: #FFF;
	border-radius: 10px;
	z-index: 100;
	display: flex;
	flex-flow: column wrap;

	transition-duration: 1s;
	opacity: 1;
}

#loading-cover {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background-color: #FFF;
	border-radius: 10px;
	z-index: 100;
	display: flex;
	flex-flow: column wrap;

	transition-duration: 1s;
	opacity: 1;
}
#loading-cover div {
	display: flex;
	justify-content: center;
	align-items: center;
}

#loading-cover #ladebalken {
	height: 60%;
	width: 100%;
	overflow: hidden;
	background-image: url("../img/aktienkurs.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	position: relative;
}

#loading-cover #ladebalken-cover {
	position: absolute;
	top: 0;
	right: 0;
	background-color: white;
	height: 100%;
	width: 100%;
}

@keyframes ladebalken {
	0% {width: 100%;}
	10% {width: 80%;}
	25% {width: 75%;}
	40% {width: 70%;}
	50% {width: 60%;}
	55% {width: 50%;}
	60% {width: 35%;}
	80% {width: 30%;}
	90% {width: 15%;}
	100% {width: 0%;}
}

#loading-cover #ladebalken-cover.aktiv {
	animation-name: ladebalken;
	animation-duration: 10s;
	animation-fill-mode: forwards;
}

#loading-cover #ladetext {
	height: 40%;
	width: 100%;
	font-size: 1.5rem;
	position: relative;
}

#loading-cover #ladetext span {
	transition-duration: 0.3s;
	transition-property: opacity;
	opacity: 0;
	position: absolute;
}

#loading-cover #ladetext span.visible {
	opacity: 1;
}


